> For the complete documentation index, see [llms.txt](https://docs.cotter.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cotter.app/sdk-reference/android/sign-in-with-device/customization.md).

# Customization

## Getting started

To start customizing the UI, you can copy and paste the code below and edit the text as you like.

{% hint style="danger" %}
Make sure to do `Cotter.init` **before** setting any of the UI customization
{% endhint %}

## Approve Authentication Request Prompt

![ApproveRequest page](/files/-M19xPSu0WBH_aViSHhb)

To customize this page, do the following:

```java
Cotter.strings.setApproveRequestStrings(Strings.Title, "ARE you trying to sign in?");
Cotter.strings.setApproveRequestStrings(Strings.Subtitle, "SOMEONE is trying to sign in to your account from another device.");
Cotter.strings.setApproveRequestStrings(Strings.ButtonYes, "YES");
Cotter.strings.setApproveRequestStrings(Strings.ButtonNo, "NO");
// To update the logo, add an image in your /res/drawable folder
Cotter.colors.setLogo(R.drawable.logo);
```

## �Request Authentication Prompt

![RequestAuth prompt](/files/-M1AHeV_e98wQCNw1Rfr)

To customize this prompt, do the following:

```java
Cotter.strings.setRequestAuthStrings(Strings.DialogTitle, "APPROVE this login from your phone");
Cotter.strings.setRequestAuthStrings(Strings.DialogSubtitle, "A NOTIFICATION is sent to your trusted device to confirm it's you.");
Cotter.strings.setRequestAuthErrorStrings(Strings.DialogTitle, "SOMETHING went wrong");
Cotter.strings.setRequestAuthErrorStrings(Strings.DialogSubtitle, "WE'RE UNABLE to confirm that it's you. Please try again.");
```

## �QR Code Scanner Dialog

![SuccessSheet dialog](/files/-M1AIlGR0xkR5gqKkJm3)

To customize the text in this dialog, do the following:

```java
Cotter.strings.setSuccessSheetStrings(Strings.DialogTitle, "SUCCESS Registering New Device");
Cotter.strings.setSuccessSheetStrings(Strings.DialogSubtitle, "YOU CAN now use your new device to access your account without approval.");
Cotter.strings.setSuccessSheetErrorStrings(Strings.DialogTitle, "UNABLE to Register New Device");
Cotter.strings.setSuccessSheetErrorStrings(Strings.DialogSubtitle, "PLEASE try again.");
```

## Show �QR Code Page

![QRCodeShow page](/files/-M1AJdFW8XiJKAyLFI_t)

To update this page, do the following:

```java
Cotter.strings.setQRCodeShowStrings(Strings.Title, "REGISTER this Device");
Cotter.strings.setQRCodeShowStrings(Strings.Subtitle, "PLEASE scan this QR Code from a Trusted Device.");
Cotter.strings.setQRCodeShowErrorStrings(Strings.Title, "SOMETHING went wrong");
Cotter.strings.setQRCodeShowErrorStrings(Strings.Subtitle, "THE REQUEST timed out. Please try again.");
```

�


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cotter.app/sdk-reference/android/sign-in-with-device/customization.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
